###########################################################################################################
###	Documentation:											
###	https://www.kernel.org/doc/Documentation/kbuild/kconfig-language.txt				
###########################################################################################################



menu "Dev Config configuration"
	depends on USE_SYSTEM

	config NONE_CFG
		int 
		default 0
		
	config	BLE_CFG
		int
		default 100
	
	config	USB_CFG
		int
		default 101
	
	config	UART_CFG
		int
		default 102

		
	config USE_DEVCONFIG
		bool  
		prompt "Enable Dev-Config Module"
		default "y"
		
	choice LOCAL_USER_CONFIG_PERIPHERALS
		bool  "Local User Config Peripherals"
		default SYS_CONFIG_PERIPHERAL_BLE
		depends on USE_DEVCONFIG
	
	config SYS_CONFIG_PERIPHERAL_NONE
		bool "NONE_CFG"
	
	config SYS_CONFIG_PERIPHERAL_BLE
		bool "BLE_CFG"
		select USE_CONN if (SYS_CONFIG_PERIPHERAL_BLE = y)
		select USE_INTERFACES if (USE_CONN = y)
		select USE_BLE if (USE_INTERFACES = y)
#		depends on USE_BLE
		
	config SYS_CONFIG_PERIPHERAL_USB
		bool "USB_CFG"
		
	config SYS_CONFIG_PERIPHERAL_UART
		bool "UART_CFG"
	
	endchoice
	
	config LOCAL_USER_CONFIG_PERIPHERALS
		int
		depends on USE_DEVCONFIG
		default NONE_CFG	if 	SYS_CONFIG_PERIPHERAL_NONE
		default BLE_CFG 	if 	SYS_CONFIG_PERIPHERAL_BLE
		default USB_CFG 	if 	SYS_CONFIG_PERIPHERAL_USB
		default UART_CFG	if 	SYS_CONFIG_PERIPHERAL_UART
		
################## Device CONFIGURATIONS

	config SELECTED_SYSTEM_CONFIG_PERIPHERAL
		int 
		default	LOCAL_USER_CONFIG_PERIPHERALS
		depends on USE_DEVCONFIG

endmenu